import{s as xt,n as At,o as wt}from"../chunks/scheduler.b108d059.js";import{S as $t,i as Ct,g as i,s as a,r as M,A as Et,h as l,f as n,c as r,j as Tt,u as y,x as o,k as vt,y as _t,a as d,v as S,d as P,t as k,w as H}from"../chunks/index.008de539.js";import{H as dt,E as Bt}from"../chunks/EditOnGithub.d1c48e3d.js";function Rt(at){let s,I,R,N,p,j,m,rt="We are continually expanding our support for other model types and plan to include them in future updates.",U,f,X,h,it=`Text Embeddings Inference currently supports Nomic, BERT, CamemBERT, XLM-RoBERTa models with absolute positions, JinaBERT
model with Alibi positions and Mistral, Alibaba GTE and Qwen2 models with Rope positions.`,q,u,lt="Below are some examples of the currently supported models:",D,c,ot='<thead><tr><th>MTEB Rank</th> <th>Model Size</th> <th>Model Type</th> <th>Model ID</th></tr></thead> <tbody><tr><td>1</td> <td>7B (Very Slow)</td> <td>Mistral</td> <td><a href="https://hf.co/Salesforce/SFR-Embedding-2_R" rel="nofollow">Salesforce/SFR-Embedding-2_R</a></td></tr> <tr><td>15</td> <td>0.4B</td> <td>Alibaba GTE</td> <td><a href="Alibaba-NLP/gte-large-en-v1.5">Alibaba-NLP/gte-large-en-v1.5</a></td></tr> <tr><td>20</td> <td>0.3B</td> <td>Bert</td> <td><a href="https://hf.co/WhereIsAI/UAE-Large-V1" rel="nofollow">WhereIsAI/UAE-Large-V1</a></td></tr> <tr><td>24</td> <td>0.5B</td> <td>XLM-RoBERTa</td> <td><a href="https://hf.co/intfloat/multilingual-e5-large-instruct" rel="nofollow">intfloat/multilingual-e5-large-instruct</a></td></tr> <tr><td>N/A</td> <td>0.1B</td> <td>NomicBert</td> <td><a href="https://hf.co/nomic-ai/nomic-embed-text-v1" rel="nofollow">nomic-ai/nomic-embed-text-v1</a></td></tr> <tr><td>N/A</td> <td>0.1B</td> <td>NomicBert</td> <td><a href="https://hf.co/nomic-ai/nomic-embed-text-v1.5" rel="nofollow">nomic-ai/nomic-embed-text-v1.5</a></td></tr> <tr><td>N/A</td> <td>0.1B</td> <td>JinaBERT</td> <td><a href="https://hf.co/jinaai/jina-embeddings-v2-base-en" rel="nofollow">jinaai/jina-embeddings-v2-base-en</a></td></tr> <tr><td>N/A</td> <td>0.1B</td> <td>JinaBERT</td> <td><a href="https://hf.co/jinaai/jina-embeddings-v2-base-code" rel="nofollow">jinaai/jina-embeddings-v2-base-code</a></td></tr></tbody>',V,g,st=`To explore the list of best performing text embeddings models, visit the
<a href="https://huggingface.co/spaces/mteb/leaderboard" rel="nofollow">Massive Text Embedding Benchmark (MTEB) Leaderboard</a>.`,z,b,F,T,pt="Text Embeddings Inference currently supports CamemBERT, and XLM-RoBERTa Sequence Classification models with absolute positions.",G,v,mt="Below are some examples of the currently supported models:",O,x,ft='<thead><tr><th>Task</th> <th>Model Type</th> <th>Model ID</th> <th>Revision</th></tr></thead> <tbody><tr><td>Re-Ranking</td> <td>XLM-RoBERTa</td> <td><a href="https://huggingface.co/BAAI/bge-reranker-large" rel="nofollow">BAAI/bge-reranker-large</a></td> <td><code>refs/pr/4</code></td></tr> <tr><td>Re-Ranking</td> <td>XLM-RoBERTa</td> <td><a href="https://huggingface.co/BAAI/bge-reranker-base" rel="nofollow">BAAI/bge-reranker-base</a></td> <td><code>refs/pr/5</code></td></tr> <tr><td>Sentiment Analysis</td> <td>RoBERTa</td> <td><a href="https://huggingface.co/SamLowe/roberta-base-go_emotions" rel="nofollow">SamLowe/roberta-base-go_emotions</a></td> <td></td></tr></tbody>',W,A,J,w,ht=`Text Embeddings Inference supports can be used on CPU, Turing (T4, RTX 2000 series, …), Ampere 80 (A100, A30),
Ampere 86 (A10, A40, …), Ada Lovelace (RTX 4000 series, …), and Hopper (H100) architectures.`,Q,$,ut=`The library does <strong>not</strong> support CUDA compute capabilities &lt; 7.5, which means V100, Titan V, GTX 1000 series, etc. are not supported.
To leverage your GPUs, make sure to install the
<a href="https://docs.nvidia.com/datacenter/cloud-native/container-toolkit/install-guide.html" rel="nofollow">NVIDIA Container Toolkit</a>, and use
NVIDIA drivers with CUDA version 12.2 or higher.`,Y,C,ct="Find the appropriate Docker image for your hardware in the following table:",K,E,gt="<thead><tr><th>Architecture</th> <th>Image</th></tr></thead> <tbody><tr><td>CPU</td> <td>ghcr.io/huggingface/text-embeddings-inference:cpu-1.5</td></tr> <tr><td>Volta</td> <td>NOT SUPPORTED</td></tr> <tr><td>Turing (T4, RTX 2000 series, …)</td> <td>ghcr.io/huggingface/text-embeddings-inference:turing-1.5 (experimental)</td></tr> <tr><td>Ampere 80 (A100, A30)</td> <td>ghcr.io/huggingface/text-embeddings-inference:1.5</td></tr> <tr><td>Ampere 86 (A10, A40, …)</td> <td>ghcr.io/huggingface/text-embeddings-inference:86-1.5</td></tr> <tr><td>Ada Lovelace (RTX 4000 series, …)</td> <td>ghcr.io/huggingface/text-embeddings-inference:89-1.5</td></tr> <tr><td>Hopper (H100)</td> <td>ghcr.io/huggingface/text-embeddings-inference:hopper-1.5 (experimental)</td></tr></tbody>",Z,_,bt=`<strong>Warning</strong>: Flash Attention is turned off by default for the Turing image as it suffers from precision issues.
You can turn Flash Attention v1 ON by using the <code>USE_FLASH_ATTENTION=True</code> environment variable.`,tt,B,et,L,nt;return p=new dt({props:{title:"Supported models and hardware",local:"supported-models-and-hardware",headingTag:"h1"}}),f=new dt({props:{title:"Supported embeddings models",local:"supported-embeddings-models",headingTag:"h2"}}),b=new dt({props:{title:"Supported re-rankers and sequence classification models",local:"supported-re-rankers-and-sequence-classification-models",headingTag:"h2"}}),A=new dt({props:{title:"Supported hardware",local:"supported-hardware",headingTag:"h2"}}),B=new Bt({props:{source:"https://github.com/huggingface/text-embeddings-inference/blob/main/docs/source/en/supported_models.md"}}),{c(){s=i("meta"),I=a(),R=i("p"),N=a(),M(p.$$.fragment),j=a(),m=i("p"),m.textContent=rt,U=a(),M(f.$$.fragment),X=a(),h=i("p"),h.textContent=it,q=a(),u=i("p"),u.textContent=lt,D=a(),c=i("table"),c.innerHTML=ot,V=a(),g=i("p"),g.innerHTML=st,z=a(),M(b.$$.fragment),F=a(),T=i("p"),T.textContent=pt,G=a(),v=i("p"),v.textContent=mt,O=a(),x=i("table"),x.innerHTML=ft,W=a(),M(A.$$.fragment),J=a(),w=i("p"),w.textContent=ht,Q=a(),$=i("p"),$.innerHTML=ut,Y=a(),C=i("p"),C.textContent=ct,K=a(),E=i("table"),E.innerHTML=gt,Z=a(),_=i("p"),_.innerHTML=bt,tt=a(),M(B.$$.fragment),et=a(),L=i("p"),this.h()},l(t){const e=Et("svelte-u9bgzb",document.head);s=l(e,"META",{name:!0,content:!0}),e.forEach(n),I=r(t),R=l(t,"P",{}),Tt(R).forEach(n),N=r(t),y(p.$$.fragment,t),j=r(t),m=l(t,"P",{"data-svelte-h":!0}),o(m)!=="svelte-1k6m0ht"&&(m.textContent=rt),U=r(t),y(f.$$.fragment,t),X=r(t),h=l(t,"P",{"data-svelte-h":!0}),o(h)!=="svelte-1jzy95z"&&(h.textContent=it),q=r(t),u=l(t,"P",{"data-svelte-h":!0}),o(u)!=="svelte-vskdni"&&(u.textContent=lt),D=r(t),c=l(t,"TABLE",{"data-svelte-h":!0}),o(c)!=="svelte-1c5dg54"&&(c.innerHTML=ot),V=r(t),g=l(t,"P",{"data-svelte-h":!0}),o(g)!=="svelte-1fz6qfa"&&(g.innerHTML=st),z=r(t),y(b.$$.fragment,t),F=r(t),T=l(t,"P",{"data-svelte-h":!0}),o(T)!=="svelte-17enjvk"&&(T.textContent=pt),G=r(t),v=l(t,"P",{"data-svelte-h":!0}),o(v)!=="svelte-vskdni"&&(v.textContent=mt),O=r(t),x=l(t,"TABLE",{"data-svelte-h":!0}),o(x)!=="svelte-ze9dp3"&&(x.innerHTML=ft),W=r(t),y(A.$$.fragment,t),J=r(t),w=l(t,"P",{"data-svelte-h":!0}),o(w)!=="svelte-58o6ad"&&(w.textContent=ht),Q=r(t),$=l(t,"P",{"data-svelte-h":!0}),o($)!=="svelte-1q49upw"&&($.innerHTML=ut),Y=r(t),C=l(t,"P",{"data-svelte-h":!0}),o(C)!=="svelte-16dfo8x"&&(C.textContent=ct),K=r(t),E=l(t,"TABLE",{"data-svelte-h":!0}),o(E)!=="svelte-13tgdpx"&&(E.innerHTML=gt),Z=r(t),_=l(t,"P",{"data-svelte-h":!0}),o(_)!=="svelte-173bv05"&&(_.innerHTML=bt),tt=r(t),y(B.$$.fragment,t),et=r(t),L=l(t,"P",{}),Tt(L).forEach(n),this.h()},h(){vt(s,"name","hf:doc:metadata"),vt(s,"content",Lt)},m(t,e){_t(document.head,s),d(t,I,e),d(t,R,e),d(t,N,e),S(p,t,e),d(t,j,e),d(t,m,e),d(t,U,e),S(f,t,e),d(t,X,e),d(t,h,e),d(t,q,e),d(t,u,e),d(t,D,e),d(t,c,e),d(t,V,e),d(t,g,e),d(t,z,e),S(b,t,e),d(t,F,e),d(t,T,e),d(t,G,e),d(t,v,e),d(t,O,e),d(t,x,e),d(t,W,e),S(A,t,e),d(t,J,e),d(t,w,e),d(t,Q,e),d(t,$,e),d(t,Y,e),d(t,C,e),d(t,K,e),d(t,E,e),d(t,Z,e),d(t,_,e),d(t,tt,e),S(B,t,e),d(t,et,e),d(t,L,e),nt=!0},p:At,i(t){nt||(P(p.$$.fragment,t),P(f.$$.fragment,t),P(b.$$.fragment,t),P(A.$$.fragment,t),P(B.$$.fragment,t),nt=!0)},o(t){k(p.$$.fragment,t),k(f.$$.fragment,t),k(b.$$.fragment,t),k(A.$$.fragment,t),k(B.$$.fragment,t),nt=!1},d(t){t&&(n(I),n(R),n(N),n(j),n(m),n(U),n(X),n(h),n(q),n(u),n(D),n(c),n(V),n(g),n(z),n(F),n(T),n(G),n(v),n(O),n(x),n(W),n(J),n(w),n(Q),n($),n(Y),n(C),n(K),n(E),n(Z),n(_),n(tt),n(et),n(L)),n(s),H(p,t),H(f,t),H(b,t),H(A,t),H(B,t)}}}const Lt='{"title":"Supported models and hardware","local":"supported-models-and-hardware","sections":[{"title":"Supported embeddings models","local":"supported-embeddings-models","sections":[],"depth":2},{"title":"Supported re-rankers and sequence classification models","local":"supported-re-rankers-and-sequence-classification-models","sections":[],"depth":2},{"title":"Supported hardware","local":"supported-hardware","sections":[],"depth":2}],"depth":1}';function Mt(at){return wt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class kt extends $t{constructor(s){super(),Ct(this,s,Mt,Rt,xt,{})}}export{kt as component};
